<?php
/*******************************************************************************

A plugin-archtecture wrapper around lvm's poller performance patches

*******************************************************************************/

function pollperf_version () {
	return array( 'name' 	=> 'pollperf',
			'version' 	=> '0.1',
			'longname'	=> 'Poller Performance Report',
			'author'	=> 'lvm',
			'homepage'	=> 'http://forums.cacti.net/viewtopic.php?t=12369&highlight=performance',
			'email'	=> '',
			'url'		=> ''
			);
}

function plugin_init_pollperf() {
	global $plugin_hooks;
	$plugin_hooks['config_arrays']['pollperf'] = 'pollperf_config_arrays';
	$plugin_hooks['draw_navigation_text']['pollperf'] = 'pollperf_draw_navigation_text';
}

function pollperf_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames, $menu;


	$user_auth_realm_filenames['poller-perf.php'] = 8;
	$temp = $menu["Utilities"]['logout.php'];
	unset($menu["Utilities"]['logout.php']);
	$menu["Utilities"]['plugins/pollperf/poller-perf.php'] = "Poller Performance";
	$menu["Utilities"]['logout.php'] = $temp;
}

function pollperf_draw_navigation_text ($nav) {
	$nav["poller-perf.php:"] = array("title" => "Poller Performance", "mapping" => "index.php:", "url" => "poller-perf.php", "level" => "1");

	return $nav;
}

?>